#import "TestColorView.h"


@implementation TestColorView

- (id)initWithFrame:(NSRect)frame {
    self = [super initWithFrame:frame];
    if (self) {
        fillColor = [NSColor clearColor];
    }
    return self;
}

- (void)dealloc {
	[super dealloc];
}

- (IBAction)changeColor:(id)sender {
	fillColor = [sender color];
	[self setNeedsDisplay:YES];
}

- (void)drawRect:(NSRect)rect {
    [fillColor set];
	NSRectFill(rect);
}

@end
